Last modified: 2012-05-15 09:44:48 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35461 - Gitweb should be able to show bd7a268e4be2da23ba0b9943c3b0ba1ac88294dc
Gitweb should be able to show bd7a268e4be2da23ba0b9943c3b0ba1ac88294dc
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
https://gerrit.wikimedia.org/r/gitweb...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 02:23 UTC by Marcin Cieślak
Modified: 2012-05-15 09:44 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Marcin Cieślak 2012-03-25 02:23:53 UTC
Not sure why, is this a feature, gerrit setup or upstream bug, but I f I search for "bd7a268e4be2da23ba0b9943c3b0ba1ac88294dc" in gitweb's search box (picking up "commit" from the drop down box) I always end up with a recent commit viewed/top of the tree in the results not the commit I am looking for. 

Searching by author or direct link work.
Comment 1 Platonides 2012-03-25 14:41:40 UTC
It also fails when searching it on gerrit.
Maybe it's failing because it was converted from svn, and some index is missing?

Trying other commits such as 313570b3470d02a03f66cd3550f3bc1b7bebbdc6 also fail.
Comment 2 Antoine "hashar" Musso (WMF) 2012-03-26 08:56:46 UTC
removing block of 22596  (svn to git migration). Not related.
Comment 3 Chad H. 2012-04-13 00:53:15 UTC
I *believe* this has to do with issue 1023[0], which was fixed as a result of 871[1]. If this is the case, this will be resolved for future cherry-picked commits after upgrading to 2.3.
Comment 4 Krinkle 2012-04-18 02:18:47 UTC
I'm not sure but Gerrit can't find any of those either:
* https://gerrit.wikimedia.org/r/#q,bd7a268e4be2da23ba0b9943c3b0ba1ac88294dc,n,z
* https://gerrit.wikimedia.org/r/#q,313570b3470d02a03f66cd3550f3bc1b7bebbdc6,n,z

So are you sure these are actually Git commit hashes of commits in any repo currently on Gerrit?

For example Ide059228933681b6b0f97a818a561cde22901e1e (Gerrit change 1) works fine:
* https://gerrit.wikimedia.org/r/#q,Ide059228933681b6b0f97a818a561cde22901e1e,n,z
Comment 5 Antoine "hashar" Musso (WMF) 2012-05-15 08:09:31 UTC
Both commits above are in mediawiki/core.git , `git show` confirms that.
bd7a268e4be2da23ba0b9943c3b0ba1ac88294dc
313570b3470d02a03f66cd3550f3bc1b7bebbdc6
Comment 6 Krinkle 2012-05-15 09:44:48 UTC
Also fine on gitweb now:

* https://gerrit.wikimedia.org/r/gitweb?p=mediawiki/core.git;a=commit;h=bd7a268e4be2da23ba0b9943c3b0ba1ac88294dc

* https://gerrit.wikimedia.org/r/gitweb?p=mediawiki/core.git;a=commit;h=313570b3470d02a03f66cd3550f3bc1b7bebbdc6

Just not in Gerrit. But since the bug was about gitweb, marking FIXED.

As for Gitweb *search* not finding it, that's no new. It doesn't find anything by hash. Not sure why, but if you want a commit to show in gitweb, just go the ;h= url directly. Or search for it in Gerrit.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links